Subject: RE: bug#35608: 26.2; Calc temperature conversions

From: "Harris, Bill" <[email-masked]>
Date: Mon, 6 May 2019 21:27:21 +0000

Thank you, Mauro.  I thought it gave absolute temperatures in previous versions (26.1, for example), but I just checked on version 25.1, and it, too, does as you say.

Bill

From: Mauro Aranda <[email-masked]>
Sent: Monday, May 6, 2019 2:19 PM
To: Harris, Bill <[email-masked]>
Cc: [email-masked]
Subject: Re: bug#35608: 26.2; Calc temperature conversions

CAUTION: THIS EMAIL IS FROM AN EXTERNAL SENDER.
Do not click on links or open attachments if the sender is unknown or the email is suspect.
________________________________
tags 35608 notabug
quit

"Harris, Bill" <[email-masked]<mailto:[email-masked]>> writes:

> I entered '10 degC' and then
> u c degF
> I got 18, not the expected 50.

Hello.

That's because ‘u c’ treats temperature units as relative, and not as
absolute.  The result you got means that a change of 10 degrees Celsius
equals to a change of 18 degrees Fahrenheit.

You need to use ‘u t’ (calc-convert-temperature) to convert an absolute
temperature from one scale to another.  With that command, you'll get
the expected 50 degF.

Best regards,
Mauro.